package org.dromara.system.service;

import org.dromara.system.domain.TblGoodsOrder;
import org.dromara.system.domain.vo.CountDataVo;
import org.dromara.system.domain.vo.TblGoodsOrderVo;
import org.dromara.system.domain.bo.TblGoodsOrderBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 寄货订单Service接口
 *
 * @author Lion Li
 * @date 2024-04-01
 */
public interface ITblGoodsOrderService {

    /**
     * 查询寄货订单
     */
    TblGoodsOrderVo queryById(Long id);

    /**
     * 查询寄货订单列表
     */
    TableDataInfo<TblGoodsOrderVo> queryPageList(TblGoodsOrderBo bo, PageQuery pageQuery);

    /**
     * 查询寄货订单列表
     */
    List<TblGoodsOrderVo> queryList(TblGoodsOrderBo bo);

    /**
     * 新增寄货订单
     */
    Boolean insertByBo(TblGoodsOrderBo bo);

    /**
     * 修改寄货订单
     */
    Boolean updateByBo(TblGoodsOrderBo bo);

    /**
     * 校验并批量删除寄货订单信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);


    Map<String,Object> queryByDate(Map<String, Object> bo);
}
